docs

# TextableSendMessageRequest

interface TextableSendMessageRequest < T : Any > : SendMessageRequest < T > , TextedOutput
Content copied to clipboard

## Functions

method
Link copied to clipboard
abstract fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
abstract val allowSendingWithoutReply : Boolean ?
Content copied to clipboard
chatId
Link copied to clipboard
abstract override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
abstract val disableNotification : Boolean
Content copied to clipboard
entities
Link copied to clipboard
open val entities : List < TextSource >?
Content copied to clipboard
parseMode
Link copied to clipboard
abstract val parseMode : ParseMode ?
Content copied to clipboard
protectContent
Link copied to clipboard
abstract val protectContent : Boolean
Content copied to clipboard
replyToMessageId
Link copied to clipboard
abstract val replyToMessageId : MessageIdentifier ?
Content copied to clipboard
requestSerializer
Link copied to clipboard
abstract val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
abstract val resultDeserializer : DeserializationStrategy< T >
Content copied to clipboard
text
Link copied to clipboard
abstract val text : String ?
Content copied to clipboard
textSources
Link copied to clipboard
abstract val textSources : List < TextSource >?
Content copied to clipboard

Full list of TextSources

## Inheritors

SendTextMessage
Link copied to clipboard
SendAnimationData
Link copied to clipboard
SendAudioData
Link copied to clipboard
SendDocumentData
Link copied to clipboard
SendPhotoData
Link copied to clipboard
SendVideoData
Link copied to clipboard
SendVoiceData
Link copied to clipboard